# Class LayerListSettings

Settings that affect the behavior and presentation of a layer in the layer list.

#### Hierarchy (view full)

- SerializableBase<LayerListSettingsProperties, this> & ObservableMixin<this>
  - LayerListSettings
    - ExtensionBaseLayerListSettings

#####
Index

### Constructors

constructor

### Properties

_initialChildrenIncluded
_initialExpanded
_initialIncluded

### Accessors

childrenIncluded
effectivelyIncluded
expanded
included
initialChildrenIncluded
initialExpanded
initialIncluded

### Methods

_getSerializableProperties
_toPropertyDef
assignProperties
assignPropertiesAsync
finishAssignProperties
getDefault
getDefaults
getSerializableProperties
toJSON

##
Constructors

### constructor

- new LayerListSettings(_properties?): LayerListSettings

- #### Parameters

  - `Optional`_properties: LayerListSettingsProperties

  #### Returns LayerListSettings

  Inherited from observable(SerializableBase<LayerListSettingsProperties>).constructor

##
Properties

### `Protected`_initialChildrenIncluded

_initialChildrenIncluded: boolean

### `Protected`_initialExpanded

_initialExpanded: boolean

### `Protected`_initialIncluded

_initialIncluded: boolean

##
Accessors

### childrenIncluded

- get childrenIncluded(): boolean

- Whether child layers should be included in the layer list. This value may not be set to true, if the associated LayerExtension or SublayerExtension does not support sublayers.

  #### Returns boolean

- set childrenIncluded(value): void

- #### Parameters

  - value: boolean

  #### Returns void

### effectivelyIncluded

- get effectivelyIncluded(): boolean

- Whether this layer is effectively included in the layer list.

  #### Returns boolean

### expanded

- get expanded(): boolean

- Whether this node is initially expanded to show children. No effect if included is false. This value may not be set to true, if the associated LayerExtension or SublayerExtension does not support sublayers.

  #### Returns boolean

- set expanded(value): void

- #### Parameters

  - value: boolean

  #### Returns void

### included

- get included(): boolean

- Whether this layer should be included in the layer list.

  #### Returns boolean

- set included(value): void

- #### Parameters

  - value: boolean

  #### Returns void

### initialChildrenIncluded

- get initialChildrenIncluded(): boolean

- Initial value of the childrenIncluded property.

  #### Returns boolean

### initialExpanded

- get initialExpanded(): boolean

- Initial value of the expanded property.

  #### Returns boolean

### initialIncluded

- get initialIncluded(): boolean

- Initial value of the included property.

  #### Returns boolean

##
Methods

### `Protected`_getSerializableProperties

- _getSerializableProperties(): PropertyDefs<LayerListSettingsProperties>

- The property keys and their metadata that are used to implement serializing and deserializing the class instance.

  #### Returns PropertyDefs<LayerListSettingsProperties>

  Overrides observable(SerializableBase<LayerListSettingsProperties>)._getSerializableProperties

### `Protected`_toPropertyDef

- _toPropertyDef<T>(def): PropertyDef<T>

- Converts the value to a PropertyDef object.

  #### Type Parameters

  - T

  #### Parameters

  - def: PropertyDefSerializeMode | PropertyDefSerializeMode[] | PropertyDef<T>

    The value to convert.

  #### Returns PropertyDef<T>

  Inherited from observable(SerializableBase<LayerListSettingsProperties>)._toPropertyDef

### assignProperties

- assignProperties(properties): void

- #### Parameters

  - properties: Partial<LayerListSettingsProperties>

  #### Returns void

  #### Inherit Doc

  Inherited from observable(SerializableBase<LayerListSettingsProperties>).assignProperties

### assignPropertiesAsync

- assignPropertiesAsync(properties): Promise<void>

- #### Parameters

  - properties: Partial<LayerListSettingsProperties>

  #### Returns Promise<void>

  #### Inherit Doc

  Inherited from observable(SerializableBase<LayerListSettingsProperties>).assignPropertiesAsync

### finishAssignProperties

- finishAssignProperties(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from observable(SerializableBase<LayerListSettingsProperties>).finishAssignProperties

### getDefault

- getDefault<K>(key): LayerListSettingsProperties[K]

- #### Type Parameters

  - K extends keyof LayerListSettingsProperties

  #### Parameters

  - key: K

  #### Returns LayerListSettingsProperties[K]

  #### Inherit Doc

  Inherited from observable(SerializableBase<LayerListSettingsProperties>).getDefault

### getDefaults

- getDefaults(): LayerListSettingsProperties

- #### Returns LayerListSettingsProperties

  #### Inherit Doc

  Inherited from observable(SerializableBase<LayerListSettingsProperties>).getDefaults

### getSerializableProperties

- getSerializableProperties(serializeMode?): PropertyDefs<LayerListSettingsProperties>

- Returns the serializable properties.

  #### Parameters

  - serializeMode: SerializeMode = "all"

    Optional. If specified, only properties that support the given serialization mode will be returned.

  #### Returns PropertyDefs<LayerListSettingsProperties>

  Inherited from observable(SerializableBase<LayerListSettingsProperties>).getSerializableProperties

### toJSON

- toJSON(serializeMode?): LayerListSettingsProperties

- #### Parameters

  - serializeMode: SerializeMode = "all"

  #### Returns LayerListSettingsProperties

  #### Inherit Doc

  Inherited from observable(SerializableBase<LayerListSettingsProperties>).toJSON